Skip to content

Create 'Organization'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
namestring, <= 255 charactersrequired

Additional Validation Information:

Must be unique

custom_idstring or null, <= 128 characters
organizationobject or null(Organization)
POST
/sales/organization/
curl -i -X POST \
  https://dev.api.pigello.io/sales/organization/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '{
    "custom_id": "string",
    "name": "string",
    "organization": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
  }'

Responses

Successful creation

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

namestring, <= 255 charactersrequired

Additional Validation Information:

Must be unique

custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
organizationobject or null(Organization)
tagsanyread-only
customer_columnsanyread-only
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "name": "string", "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "tags": null, "customer_columns": null }